Home / Forums / DynamiX Support / Updating Plugin WPBakery Visual Composer

Viewing 15 posts - 1 through 15 (of 17 total)
  • Author
    Posts

  • Shaun Green
    Participant

    I keep getting the following error message when trying to update the Updating Plugin WPBakery Visual Composer Plugin from within WordPress;

    Updating Plugin WPBakery Visual Composer (1/1)
    An error occurred while updating WPBakery Visual Composer: Update package not available.

    Disabling Maintenance mode…

    Any tips welcome

    Came here to ask the same question


    Tom ( Support)
    Keymaster

    Hi,

    Visual Composer have released an update a few days back and the new version will be bundled with the next version of DynamiX which is coming out very soon.

    Kind regards,
    Tom


    ilane Nadjar
    Participant

    Hi,
    This new version 3.7.1 of Visual Composer is stil not inclued in the Dynamix upgrade 3.2.1 ?
    Right ?

    regards,
    Ilane


    Tom ( Support)
    Keymaster

    Hi,

    That version of Visual Composer is not bundled with that version of DynamiX. As mentioned above, the new version will be bundled with the next version of DynamiX which is coming out very soon.

    Kind regards,
    Tom


    Zacchaeus Nifong
    Participant

    Dear All~

    OK, very good. I’ll be waiting on this update as well.

    Z


    Jim Donaghue
    Participant

    any date on this? I can’t save down drafts with wordpress seo on, otherwise the visual composer disappears. WordPress SEO is kind of integral. Thanks for reply


    Kris Cone
    Participant

    I just updated to dynamix 4.0 and I get the message the following plugins need to be installed
    Visual Composer
    Visual Composer

    it lists it twice. I check the box to install both and then it gives errors:
    the plugin does not have a valid header.
    Downloading install package from /xxxxx[my site]/httpdocs/wp-content/themes/DX3C/plugins/js_composer.zip…

    Download failed. A valid URL was not provided.

    and the short codes for formatting, etc…do not work….


    Tom ( Support)
    Keymaster

    Hi Kris,

    Are you using a Child Theme? If so, you will need to switch back to the core theme, follow the steps below to update, then switch back.

    If there is a purple message, asking for an update, go to Plugins > Deactivate VC > Delete it > Purple box, click install Visual Composer > You should now have the latest version.

    Please let me know if this works for you.

    Kind regards,
    Tom


    Peter
    Participant

    Hello,

    I am also having a prob after installing 4.0.

    In the backend a box occurs with this text:

    “The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: Visual Composer.”

    But there is no link to update the VC.

    The frontend is totally corrupted. Only the header with the menu, the H1 text an this message is presented:

    “Fatal error: Call to undefined method WPBakeryShortCode_VC_Row::buildStyle() in /var/www/web13/html/wp-content/themes/DynamiX/vc_templates/vc_row.php on line 39”

    An example:

    http://www.finanzfinder24.de/


    SocentFr
    Participant

    Hi Tom,

    thank you the team for this update.
    The solution leaving the child theme to install and update VC removes the problem well.
    By cons I have trouble when I want to get my license key in the settings of VC for updates. I have this: “Invalid key liense Please check information in your profile Envato..”
    The key is the item purchase code and the name of the account on Envato ?
    But it doesn’t woks for me.

    Thank you for your reply.
    Stéphane.


    Tom ( Support)
    Keymaster

    Hi,

    @peter, you will need to manually update VC. If there is a purple message, asking for an update, go to Plugins > Deactivate VC > Delete it > Purple box, click install Visual Composer > You should now have the latest version.

    @Stéphane, you do not need to enter a licence key, please ignore that section. To update VC, please follow the instructions above.

    Kind regards,
    Tom


    SocentFr
    Participant

    Thanks for this answer.
    In the future, how can we update the VC, it will always be with the update dynamix ?


    Tom ( Support)
    Keymaster

    Hi,

    Unfortunately, ThemeForest have new rules that mean that you cannot build in plugins to the theme they must be separate hence the annoyance of removing and re-installing to update. We are not aloud to distribute Visual Composer either so it has to be included in an update. The latest VC is pretty stable so hopefully they won’t be releasing updates any time soon.

    Kind regards,
    Tom


    Jim Donaghue
    Participant

    I did as you said to try and get my site working again and now visual composer is completely gone and all my pages are turned to muck. Can you please advise how i now update (get the latest version) of this visual comopser as quickly as you can, as my site is completely down with visual composer code.

    Thank you

Viewing 15 posts - 1 through 15 (of 17 total)

You must be logged in to reply to this topic.